# Tweaks for Windows
Tools for managing Windows setting

* [`hvswitch`.cmd](https://git.hmp.today/pavel.muhortov/tweaks-for-windows#hvswitch-cmd)
* [`rdpusers`.cmd](https://git.hmp.today/pavel.muhortov/tweaks-for-windows#rdpusers-cmd)
* [`1cibases`.cmd](https://git.hmp.today/pavel.muhortov/tweaks-for-windows#1cibases-cmd)

____
## `hvswitch`.cmd
**Description:** Microsoft Hyper-V switch on/off  
**Dependencies:** Windows (tested version 10.0.19043)

|  POSITION | PARAMETERS   |       DESCRIPTION      |    DEFAULT    |
|-----------|--------------|------------------------|---------------|
|     1     |    **[qn]**    |execution without pauses|     `None`    |
|     2     |    **[y]**    |enable Hyper-V, if it off|     `None`    |
|     2     |    **[n]**    |disable Hyper-V, if it on|     `None`    |


Example usage in terminal:
```cmd
.\hvswitch.cmd qn y
```

____
## `rdpusers`.cmd
**Description:** RDS Shadow Connection  
**Dependencies:** Windows (tested version 6.3.9600), permission on target hostname (*gpedit.msc -> Computer Configuration -> Policies -> Administrative Templates -> Windows components -> Remote Desktop Services -> Remote Session Host -> Connections -> Set rules for remote control of Remote Desktop Services user sessions: Full Control without users's permission*)


|  POSITION | PARAMETERS   |       DESCRIPTION      |    DEFAULT    |
|-----------|--------------|------------------------|---------------|
|     1     |    **[host]**    |hostname or address with sessions for connect|     `None`    |


Example usage in terminal:
```cmd
.\rdpusers.cmd ts.domain.local
```

____
## `1cibases`.cmd
**Description:** 1CEStart backup/restore settings  
**Dependencies:** Windows (tested version 6.3.9600); launch method if automation is needed (*gpedit.msc -> User Configuration -> Administrative Templates -> System -> Logon -> Run these programs at user logon: C:\Windows\System32\GroupPolicy\User\Scripts\Logon\1cibases.cmd qn r)

|  POSITION | PARAMETERS   |       DESCRIPTION      |    DEFAULT    |
|-----------|--------------|------------------------|---------------|
|     1     |    **[qn]**    |execution without pauses|     `None`    |
|     2     |    **[b]**    |restore|     `None`    |
|     2     |    **[r]**    |backup|     `None`    |


Example usage in terminal:
```cmd
.\1cibases.cmd qn r
```